summaryrefslogtreecommitdiff
path: root/util
diff options
context:
space:
mode:
Diffstat (limited to 'util')
-rwxr-xr-xutil/board_status/to-wiki/bucketize.sh28
1 files changed, 20 insertions, 8 deletions
diff --git a/util/board_status/to-wiki/bucketize.sh b/util/board_status/to-wiki/bucketize.sh
index 78906fdd67..cb643e73bc 100755
--- a/util/board_status/to-wiki/bucketize.sh
+++ b/util/board_status/to-wiki/bucketize.sh
@@ -4,30 +4,42 @@
# into buckets of the given granularity
weekly() {
- date --date="$1" +%GW%V
+ date --date="$1" +%GW%V 2>/dev/null
+ return $?
}
monthly() {
- date --date="$1" +%Y-%m
+ date --date="$1" +%Y-%m 2>/dev/null
+ return $?
}
quarterly() {
- date --date="$1" "+%Y %m" | awk '{ q=int(($2-1)/3+1); print $1 "Q" q}'
+ date --date="$1" "+%Y %m" 2>/dev/null | awk '{ q=int(($2-1)/3+1); print $1 "Q" q}'
+ return $?
}
-# TODO: restrict $1 to allowed values
+# Restrict $1 to allowed values
+if [ "$1" != "weekly" ] && [ "$1" != "monthly" ] && [ "$1" != "quarterly" ]; then
+ exit 1
+fi
curr=""
sort -r -k4 -t/ | while read file; do
- timestamp=`printf $file | cut -d/ -f4 | tr _ :`
- new=`$1 $timestamp`
+ # Exclude 'oem' directories
+ if echo "$file" | grep -q '/oem/'; then continue; fi
+ timestamp=$(printf "%s" "$file" | cut -d/ -f4 | tr _ :)
+
+ # If the directory is not a date, skip it.
+ new=$($1 "$timestamp");retval=$?
+ if [ "$retval" != "0" ]; then continue; fi
+
if [ "$new" != "$curr" ]; then
if [ "$curr" != "" ]; then
printf "\n"
fi
- printf "$new:"
+ printf "%s:" "$new"
curr=$new
fi
- printf "$file "
+ printf "%s " "$file"
done
printf "\n"